Skip to main content
`Ctrl`+`K`

# skbio.metadata.SampleMetadata.get_ids

SampleMetadata.get_ids(where=None)

  Retrieve IDs matching search criteria.

  Parameters:
    where str, optional

      SQLite WHERE clause specifying criteria IDs must meet to be included in the results. All IDs are included by default.

  Returns:
    set

      IDs matching search criteria specified in where.

  See also

  `ids`
  `filter_ids`
  `get_column`

  Notes

  The ID header (`Metadata.id_header`) may be used in the where clause to query the table’s ID column.